CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2013-0231

The pciback_enable_msi function in the PCI backend driver (drivers/xen/pciback/conf_space_capability_msi.c) in Xen for the Linux kernel 2.6.18 and 3.8 allows guest OS users with PCI device access to cause a denial of service via a large number of kernel log messages. NOTE: some of these details are obtained from third party information.
Publish Date : 2013-02-12 Last Update Date : 2013-06-20
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.9
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceOverflow
CWE ID 119

- Related OVAL Definitions

Title Definition Id Class Family
DSA-2632-1 linux-2.6 - several vulnerabilities oval:org.mitre.oval:def:20040 unix
ELSA-2013-0747 -- kernel security and bug fix update (moderate) oval:org.mitre.oval:def:27616 unix
ELSA-2013-0747-1 -- kernel security and bug fix update (moderate) oval:org.mitre.oval:def:26901 unix
ELSA-2013-2503 -- Unbreakable Enterprise kernel security update (moderate) oval:org.mitre.oval:def:27517 unix
ELSA-2013:0747: kernel security and bug fix update (Moderate) oval:org.mitre.oval:def:23435 unix
RHSA-2013:0747: kernel security and bug fix update (Moderate) oval:com.redhat.rhsa:def:20130747 unix
RHSA-2013:0747: kernel security and bug fix update (Moderate) oval:org.mitre.oval:def:20888 unix
SUSE-SU-2013:0674-1 -- Security update for Linux kernel oval:org.mitre.oval:def:25948 unix
SUSE-SU-2013:0759-2 -- Security update for Linux kernel oval:org.mitre.oval:def:26098 unix
SUSE-SU-2013:0759-1 -- Security update for Linux kernel oval:org.mitre.oval:def:25846 unix
SUSE-SU-2014:0287-1 -- Security update for Linux kernel oval:org.mitre.oval:def:24665 unix
USN-1767-1 -- linux vulnerabilities oval:org.mitre.oval:def:18241 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2013-0231

# Product Type Vendor Product Version Update Edition Language
1 OS Linux Linux Kernel 2.6.18 Version Details Vulnerabilities
2 OS Linux Linux Kernel 3.8 Version Details Vulnerabilities
3 OS XEN XEN 3.0.2 Version Details Vulnerabilities
4 OS XEN XEN 3.0.3 Version Details Vulnerabilities
5 OS XEN XEN 3.0.4 Version Details Vulnerabilities
6 OS XEN XEN 3.1.3 Version Details Vulnerabilities
7 OS XEN XEN 3.1.4 Version Details Vulnerabilities
8 OS XEN XEN 3.2.0 Version Details Vulnerabilities
9 OS XEN XEN 3.2.1 Version Details Vulnerabilities
10 OS XEN XEN 3.2.2 Version Details Vulnerabilities
11 OS XEN XEN 3.2.3 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Linux Linux Kernel 2
XEN XEN 9

- References For CVE-2013-0231

http://www.debian.org/security/2013/dsa-2632
DEBIAN DSA-2632
http://osvdb.org/89903
OSVDB 89903
http://lists.opensuse.org/opensuse-security-announce/2013-03/msg00004.html
SUSE openSUSE-SU-2013:0395
http://lists.opensuse.org/opensuse-security-announce/2013-04/msg00018.html
SUSE SUSE-SU-2013:0674
http://lists.opensuse.org/opensuse-security-announce/2013-06/msg00005.html
SUSE openSUSE-SU-2013:0925
http://secunia.com/advisories/52059
SECUNIA 52059
http://xforce.iss.net/xforce/xfdb/81923
XF xen-pcibackenablemsi-dos(81923)
http://www.securityfocus.com/bid/57740
BID 57740 Xen Linux PCI Backend Drivers Local Denial of Service Vulnerability Release Date:2013-11-04
http://www.openwall.com/lists/oss-security/2013/02/05/9
MLIST [oss-security] 20130205 Xen Security Advisory 43 (CVE-2013-0231) - Linux pciback DoS via not rate limited log messages.

- Metasploit Modules Related To CVE-2013-0231

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.